Skip to content

Active API keys of a workspace

GET
/api/v1/workspaces/{workspaceId}/api-keys
curl --request GET \
--url https://api.crossmart.io/api/v1/workspaces/example/api-keys
workspaceId
required
string
Media typeapplication/json
Array<object>
object
id
required
string format: uuid
name
required
string
role
required
string
Allowed values: OWNER ADMIN EDITOR APPROVER VIEWER CUSTOM
customRole
required

The workspace’s own role, when role is CUSTOM

object
id
required
string format: uuid
name
required
string
prefix
required

The first characters of the key, to tell keys apart

string
lastUsedAt
required
string format: date-time
nullable
expiresAt
required
string format: date-time
nullable
createdAt
required
string format: date-time

Example

[
{
"role": "OWNER"
}
]